<?php

namespace FireDrum;

if ( !defined( 'ABSPATH' ) ) {
	die();
}

?>
(function($) {
	function toggleCheckoutEnabled() {
		var checkoutOptions = $( '.<?php echo Email_Marketing_Plugin::get_branding(); ?>_wc_checkout_option' );
		if ( $( '#<?php echo Email_Marketing_Plugin::get_branding(); ?>_wc_checkout_optin_enabled' ).prop( 'checked' ) ) {
			$( ':input', checkoutOptions ).removeAttr( 'disabled' );
			checkoutOptions.show();
		} else {
			checkoutOptions.hide();
			$( ':input', checkoutOptions ).attr( 'disabled', true );
		}
	}

	function toggleAbandonedCartEmailsEnabled() {
		var abandonedCartOptions = $( '.<?php echo Email_Marketing_Plugin::get_branding(); ?>_wc_abandoned_cart_emails_option' );
		if ( $( '#<?php echo Email_Marketing_Plugin::get_branding(); ?>_wc_abandoned_cart_emails_enabled' ).prop( 'checked' ) ) {
			$( ':input', abandonedCartOptions ).removeAttr( 'disabled' );
			abandonedCartOptions.show();
		} else {
			abandonedCartOptions.hide();
			$( ':input', abandonedCartOptions ).attr( 'disabled', true );
		}
	}

	$(function() {
		$( document.body ).on( 'change', '#<?php echo Email_Marketing_Plugin::get_branding(); ?>_wc_checkout_optin_enabled', toggleCheckoutEnabled );
		$( document.body ).on( 'change', '#<?php echo Email_Marketing_Plugin::get_branding(); ?>_wc_abandoned_cart_emails_enabled', toggleAbandonedCartEmailsEnabled );
		toggleCheckoutEnabled();
		toggleAbandonedCartEmailsEnabled();
	});
})( jQuery );
